*Purpose: Create formats for pupld16a;


proc format lib=work;
value $YESNO
'Y'	=	'YYes'
'N'	=	'NNo'
;
value $MISSMF
'M'	=	'Missing'
;
value $PHONF
'-4'	=	'Not Applicable'
;
value $CRELF
'HQ'	=	'HQHeadquarters of a federation or cooperative'
'ME'	=	'MEMember of a federation or cooperative'
'NO'	=	'NONot a member of a federation or cooperative'
;
value $CLEGF
'CC'	=	'CCCity/County'
'CI'	=	'CIMunicipal Government (city, town, or village)'
'CO'	=	'COCounty/Parish'
'LD'	=	'LDLibrary District'
'MJ'	=	'MJMulti-jurisdictional'
'NL'	=	'NLNative American Tribal Government'
'NP'	=	'NPNon-profit Association or Agency'
'SD'	=	'SDSchool District'
'OT'	=	'OTOther'
;
value $CADMF
'MA'	=	'MAAdministrative Entity with multiple direct service outlets where administrative offices are separate'
'MO'	=	'MOAdministrative Entity with multiple direct service outlets where administrative offices are not separate'
'SO'	=	'SOSingle Outlet Administrative Entity'
;
value $GEOF
'CI1'	=	'CI1Municipal Government (city, town, or village) (exactly)'
'CI2'	=	'CI2Municipal Government (city, town, or village) (most nearly)'
'CO1'	=	'CO1County/Parish (exactly)'
'CO2'	=	'CO2County/Parish (most nearly)'
'MA1'	=	'MA1Metropolitan Area (exactly)'
'MA2'	=	'MA2Metropolitan Area (most nearly)'
'MC1'	=	'MC1Multi-County (exactly)'
'MC2'	=	'MC2Multi-County (most nearly)'
'SD1'	=	'SD1School District (exactly)'
'SD2'	=	'SD2School District (most nearly)'
'OTH'	=	'OTHOther'
;
value $OBERGF
'01'	=	'01New England (CT ME MA NH RI VT)'
'02'	=	'02Mid East (DE DC MD NJ NY PA)'
'03'	=	'03Great Lakes (IL IN MI OH WI)'
'04'	=	'04Plains (IA KS MN MO NE ND SD)'
'05'	=	'05Southeast (AL AR FL GA KY LA MS NC SC TN VA WV)'
'06'	=	'06Southwest (AZ NM OK TX)'
'07'	=	'07Rocky Mountains (CO ID MT UT WY)'
'08'	=	'08Far West (AK CA HI NV OR WA)'
'09'	=	'09Outlying Areas (AS GU MP PR VI)'
;
value $RSTATF
'1'	=	'1Respondent, with no imputed data '
'2'	=	'2Respondent, with both reported and imputed data '
'3'	=	'3Nonrespondent, not imputed '
'4'	=	'4Nonrespondent with imputed data '
;
value $STATSF
'00'	=	'00No change from last year'
'01'	=	'01Existing Administrative Entity or Outlet absorbs another Administrative Entity or Outlet'
'02'	=	'02Newly created Administrative Entity or Outlet'
'03'	=	'03Closed'
'04'	=	'04Move Outlet to a newly created Administrative Entity'
'05'	=	'05Merge two or more Administrative Entities or Outlets to form a new Administrative Entity or Outlet'
'08'	=	'08Restored a closed Administrative Entity or Outlet record'
'09'	=	'09Restored an incorrectly deleted Administrative Entity or Outlet'
'10'	=	'10Delete an incorrect record'
'11'	=	'11Outlet moved to a different previously existing Administrative Entity'
'13'	=	'13Add an existing Administrative Entity or Outlet not previously reported'
'22'	=	'22Future Administrative Entity FSCS ID Request'
'23'	=	'23Temporary Closure'
'24'	=	'24Restore/Undo Was a 23 (Reopen a Temporarily Closed Administrative Entity)'
;
value $STATNF
'00'	=	'00No change from last year'
'06'	=	'06Official name change'
'14'	=	'14Minor name change'
;
value $STATAF
'00'	=	'00No change from last year'
'07'	=	'07Moved to a new location'
'15'	=	'15Minor address change'
;
value $LOCALF
'M'		=	'Missing'
'11'	=	'11City, Large'
'12'	=	'12City, Mid-size'
'13'	=	'13City, Small'
'21'	=	'21Suburb, Large'
'22'	=	'22Suburb, Mid-size'
'23'	=	'23Suburb, Small'
'31'	=	'31Town, Fringe'
'32'	=	'32Town, Distant'
'33'	=	'33Town, Remote'
'41'	=	'41Rural, Fringe'
'42'	=	'42Rural, Distant'
'43'	=	'43Rural, Remote'
;
value $REAPLOCF
'M'		=	'Missing'
'01'	=	'01Large City'
'02'	=	'02Mid-size city'
'03'	=	'03Urban Fringe of a Large City'
'04'	=	'04Urban Fringe of a Mid-size City'
'05'	=	'05Large town'
'06'	=	'06Small town'
'07'	=	'07Rural, Outside Metropolitan Area'
'08'	=	'08Rural, Inside Metropolitan Area'
;
value LONF
other	=   [13.7]
;
value LATF
other	=   [11.7]
;
value $MICMETF
'M'	=	'Missing'
'0'	=	'0Micropolitan area'
'1'	=	'1Metropolitan area'
;
value $MSTATF
'M'	=	'Missing'
'E'	=	'EMatch'
'T'	=	'TTie'
'U'	=	'UUnmatch'
;
value MISS1F
-1	=	'-1Missing'
;
value MISS3F
-1	=	'-1Missing'
-3	=	'-3Closed or temporarily closed administrative entity'
;
value CENF
-1	=	'-1Missing'
;
value STFF
-1	=	'-1Missing'
-3	=	'-3Closed or temporarily closed administrative entity'
other = [9.2]
;
value TOTSTFF
-1	=	'-1Missing'
-3	=	'-3Closed or temporarily closed administrative entity'
other = [10.2]
;
value $DATF
'-3'	=	'Closed or temporarily closed administrative entity'
;
value SUPF
-1	=	'-1Missing'
-3	=	'-3Closed or temporarily closed administrative entity'
-9  =	'-9Data suppressed to protect confidentiality'
;
value $IMPF
'R_16'	=	'R_16Data were reported and not imputed'
'IG15'	=	'IG15Prior year data multiplied by cell mean growth rate'
'IG14'	=	'IG14Prior year data multiplied by cell mean growth rate'
'IG13'	=	'IG13Prior year data multiplied by cell mean growth rate'
'IG12'	=	'IG12Prior year data multiplied by cell mean growth rate'
'IQ16'	=	'IQ16Adjusted cell mean'
'IJ16'	=	'IJ16Unadjusted cell mean'
'IK15'	=	'IK15Prior year ratio to another item'
'IK14'	=	'IK14Prior year ratio to another item'
'IK13'	=	'IK13Prior year ratio to another item'
'IK12'	=	'IK12Prior year ratio to another item'
'ID16'	=	'ID16Cell median ratio to another item'
'IP15'	=	'IP15Data carried forward'
'IP14'	=	'IP14Data carried forward'
'IP13'	=	'IP13Data carried forward'
'IP12'	=	'IP12Data carried forward'
'IM16'	=	'IM16Unadjusted cell median'
'IT16'	=	'IT16Total to detail items'
'IB16'	=	'IB16Raking of detail items to match totals'
'IS16'	=	'IS16Special imputation procedures'
'IY16'	=	'IY16Consistency check derived value'
'U_16'	=	'U_16Outlying area or closed/temporary closure-no imputation done'
'H_16'	=	'H_16Data were suppressed'
;
run;
